Retrieve a counter definition

Retrieve a counter definition

Returns a single counter definition by its internal ID or external reference.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-definitions/{counterDefinitionReference}

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-counter-definitions.read

URL parameters

Parameter Description
{counterDefinitionReference} The internal ID or external reference of the counter definition.

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Internal unique identifier for the counter definition.
name.default string — Read-only Default name value of the counter definition.
name.translations object — Read-only A list of translated names of the definition by language code.
code string — Read-only A counter code used for this definition.
friendlyName.default string — Read-only Default friendly name value for this definition shown to users.
friendlyName.translations object — Read-only A list of translated friendly names by language code.
friendlyCode.default string — Read-only Default friendly code value for this definition shown to users.
friendlyCode.translations object — Read-only A list of translated friendly codes by language code.
isEnabled boolean — Read-only Indicates if the counter definition is enabled in myProtime.
counterGroup.id integer — Read-only The ID of the associated counter group.
unit string — Read-only The unit type for the counter definition (Unknown, Interval, Duration, Instance).

External references

The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.

The following collections are supported for this endpoint:

Collection Predefined Custom
counter-definitions @counter-code Supported
counter-groups Not available Supported

Caution

There are some restrictions on the characters allowed in URL requests. See the fetching resources page for more information.

Error responses

Status Condition
400 Invalid external reference key or ambiguous counter code
401 Missing or invalid access token, or insufficient scope
404 Counter definition with the given ID does not exist

Examples

Retrieving a counter definition by internal ID

Example with internal ID 9:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-definitions/9

Retrieving a counter definition by external reference

Example with counter code O200:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-definitions/O200?externalReferences=(counter-definitions,@counter-code)

With custom external reference

Example with custom external reference 766:

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counter-definitions/766?externalReferences=(counter-definitions,customCounterCode)